## libcamera 0~git20200513+924778e

=== meson_options.txt ===
# SPDX-License-Identifier: CC0-1.0

option('android',
        type : 'boolean',
        value : false,
        description : 'Compile libcamera with Android Camera3 HAL interface')

option('documentation',
        type : 'boolean',
        description : 'Generate the project documentation')

option('gstreamer',
        type : 'feature',
        value : 'auto',
        description : 'Compile libcamera GStreamer plugin')

option('pipelines',
        type : 'array',
        choices : ['ipu3', 'raspberrypi', 'rkisp1', 'simple', 'uvcvideo', 'vimc'],
        description : 'Select which pipeline handlers to include')

option('test',
        type : 'boolean',
        description: 'Compile and include the tests')

option('v4l2',
        type : 'boolean',
        value : false,
        description : 'Compile the V4L2 compatibility layer')

=== debian/changelog ===
libcamera (0~git20200513+924778e-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: added libboost-dev to Build-Depends field to avoid a FTBFS.
    Thanks to Logan Rosen <logan@ubuntu.com>. (Closes: #960758)

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 09 Jun 2020 13:08:13 -0300

libcamera (0~git20200513+924778e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 May 2020 16:24:53 +0200

libcamera (0~git20200417+35269f0-2) unstable; urgency=medium

  * Update d/copyright
    * Add GPL-2 license
    * Use "Comment" for note about where to find licenses on "Debian systems"
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Apr 2020 16:22:23 +0200

libcamera (0~git20200417+35269f0-1) unstable; urgency=medium

  * New upstream version 0~git20200417+35269f0
    * Refresh patches
  * B-D un gnutls-dev
  * Add patch take return value of write() into account
  * Add patch to fix spelling errors
  * Enable hardening
  * Move "libcamera-tools" into section "video" (Closes: 956720)
  * Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #956304)
  * Declare that building this package does not require 'root' powers.
  * Update d/copyright
    * Rearrange d/copyright paragraphs
    * Add 'licensecheck' target
    * Generate d/copyright_hints
    * Add myself to copyright holders
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Apr 2020 23:28:05 +0200

libcamera (0~git20200116+30f9624-1) unstable; urgency=medium

  * Initial release (Closes: #930456).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 22 Feb 2020 19:57:58 +0200

=== debian/control ===
Source: libcamera
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Emmanuel Arias <emmanuelarias30@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               meson (>= 0.47),
               libudev-dev,
               libgnutls28-dev | gnutls-dev,
               python3-sphinx,
               python3-yaml,
               libjs-jquery,
               libjs-underscore,
               libboost-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: libs
Homepage: https://libcamera.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git

Package: libcamera-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-underscore,
         libcamera0 (= ${binary:Version})
Multi-Arch: same
Description: complex camera support library (development files)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides the necessary files needed for development

Package: libcamera0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: complex camera support library
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.

Package: libcamera-tools
Section: video
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: complex camera support library (tools)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 .
 This package provides cam and qcam, libcamera "Swiss army knife" tools.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install -X/.doctrees/

.PHONY: override_dh_auto_test
override_dh_auto_test:


.PHONY: licensecheck
licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## libcamera 0~git20200629%2Be7aa92a

=== meson_options.txt ===
--- 
+++ 
@@ -19,6 +19,11 @@
         choices : ['ipu3', 'raspberrypi', 'rkisp1', 'simple', 'uvcvideo', 'vimc'],
         description : 'Select which pipeline handlers to include')
 
+option('qcam',
+        type : 'feature',
+        value : 'auto',
+        description : 'Compile the qcam test application')
+
 option('test',
         type : 'boolean',
         description: 'Compile and include the tests')

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+include /usr/share/dpkg/architecture.mk
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
+		-Dv4l2=true \
+		$(empty)
 
 override_dh_install:
 	dh_install -X/.doctrees/

## libcamera 0~git20200629+e7aa92a

=== debian/changelog ===
libcamera (0~git20200629+e7aa92a-9) impish; urgency=medium

  * debian/patches/ubuntu_disable_werror.patch:
    - disable werror for the package build to avoid starts failing to
      build due to deprecation warnings on library changes (lp: #1931958)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Sep 2021 17:03:05 +0200

libcamera (0~git20200629+e7aa92a-8) unstable; urgency=medium

  * Explicitly not install *.so.sign — or maybe we should?
  * Support nodoc build profile.
  * Add the missing doxygen dependency.
  * Add openssl as an explicit dependency.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Sun, 21 Feb 2021 15:51:17 +0100

libcamera (0~git20200629+e7aa92a-7) unstable; urgency=medium

  [ You-Sheng Yang ]
  * debian: build with v4l2.
  * debian: build gstlibcamera.
  * debian: move documentation into libcamera-doc.
  * debian: lintian: fix embedded-javascript-library.
  * lintian: override repeated-path-segment warnings.
  * debian: fix spelling error.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump dh-compat to 13.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 19 Oct 2020 15:32:04 +0200

libcamera (0~git20200629+e7aa92a-6) unstable; urgency=medium

  * Stop shipping this symbols file, the symbols change all the time
    depending on the architecture and the compiler version.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 12:09:02 +0200

libcamera (0~git20200629+e7aa92a-5) unstable; urgency=medium

  * Fix the symbol file syntax.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 11:26:33 +0200

libcamera (0~git20200629+e7aa92a-4) unstable; urgency=medium

  * Add wildcards for std::* and boost::* to the symbols file.
  * Install ipa_proxy_linux into a multiarch directory.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 11:13:16 +0200

libcamera (0~git20200629+e7aa92a-3) unstable; urgency=medium

  * Allow actual pkg-config to be used as, well, pkg-config.
  * Add libcamera0.symbols, probably not very useful right now.
  * Install more files for libcamera0.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 18:12:32 +0200

libcamera (0~git20200629+e7aa92a-2) unstable; urgency=medium

  * Depend on a pkg-config implementation (Really closes: #959853).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 16:20:56 +0200

libcamera (0~git20200629+e7aa92a-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #962274).
  * Update patches.
  * Update debian/copyright.
  * Update build dependencies enabling qcam to be built (Closes: #959853).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 15:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,23 @@
  Emmanuel Arias <emmanuelarias30@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                meson (>= 0.47),
+               pkgconf | pkg-config,
                libudev-dev,
                libgnutls28-dev | gnutls-dev,
-               python3-sphinx,
+               doxygen <!nodoc>,
+               python3-sphinx <!nodoc>,
                python3-yaml,
-               libjs-jquery,
-               libjs-underscore,
-               libboost-dev
+               libjs-jquery <!nodoc>,
+               libjs-sphinxdoc <!nodoc>,
+               libjs-underscore <!nodoc>,
+               libboost-dev,
+               libtiff-dev,
+               openssl,
+               qtbase5-dev <!pkg.libcamera.noqt>,
+               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
@@ -27,8 +34,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libjs-jquery,
-         libjs-underscore,
          libcamera0 (= ${binary:Version})
 Multi-Arch: same
 Description: complex camera support library (development files)
@@ -37,6 +42,24 @@
  programming interface to the applications.
  .
  This package provides the necessary files needed for development
+
+Package: libcamera-doc
+Section: doc
+Architecture: all
+Build-Profiles: <!nodoc>
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libjs-jquery,
+         libjs-sphinxdoc,
+         libjs-underscore,
+Recommends: libcamera-dev
+Multi-Arch: foreign
+Description: complex camera support library (documentation)
+ libcamera is a complex camera support library which handles low-level
+ control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
+ .
+ This package contains the documentation developing with libcamera.
 
 Package: libcamera0
 Architecture: any

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=0~git%cd+%h, repack, compression=xz" \
    git://git.linuxtv.org/libcamera.git \
    HEAD

## libcamera 0~git20211108+1b30992b623e

=== meson_options.txt ===
--- 
+++ 
@@ -1,18 +1,39 @@
 # SPDX-License-Identifier: CC0-1.0
 
 option('android',
-        type : 'boolean',
-        value : false,
+        type : 'feature',
+        value : 'disabled',
         description : 'Compile libcamera with Android Camera3 HAL interface')
 
+option('android_platform',
+        type : 'combo',
+        choices : ['cros', 'generic'],
+        value : 'generic',
+        description : 'Select the Android platform to compile for')
+
+option('cam',
+        type : 'feature',
+        value : 'auto',
+        description : 'Compile the cam test application')
+
 option('documentation',
-        type : 'boolean',
+        type : 'feature',
         description : 'Generate the project documentation')
 
 option('gstreamer',
         type : 'feature',
         value : 'auto',
         description : 'Compile libcamera GStreamer plugin')
+
+option('ipas',
+        type : 'array',
+        choices : ['ipu3', 'raspberrypi', 'rkisp1', 'vimc'],
+        description : 'Select which IPA modules to build')
+
+option('lc-compliance',
+        type : 'feature',
+        value : 'auto',
+        description : 'Compile the lc-compliance test application')
 
 option('pipelines',
         type : 'array',
@@ -28,6 +49,11 @@
         type : 'boolean',
         description: 'Compile and include the tests')
 
+option('tracing',
+        type : 'feature',
+        value : 'auto',
+        description: 'Enable tracing (based on lttng)')
+
 option('v4l2',
         type : 'boolean',
         value : false,

=== debian/changelog ===
libcamera (0~git20211108+1b30992b623e-5) unstable; urgency=medium

  * Team upload.

  [ Olivier Gayot ]
  * Add patch that fixes FTBFS on ppc64el + GCC (Closes: #1021544, LP: #1992331)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 12 Oct 2022 11:43:40 +0200

libcamera (0~git20211108+1b30992b623e-4) unstable; urgency=medium

  [ Christopher Obbard ]
  * Don't treat compilation warnings as errors (Closes: #1012786).

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Tue, 14 Jun 2022 14:07:18 +0200

libcamera (0~git20211108+1b30992b623e-3) unstable; urgency=medium

  [ Andrej Shadura ]
  * Add upstream metadata.

  [ Dorota Czaplejewicz ]
  * Remove soname patch as the upstream already sets it.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Wed, 10 Nov 2021 12:55:10 +0100

libcamera (0~git20211108+1b30992b623e-2) unstable; urgency=medium

  * Add missing Python build dependencies.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Wed, 10 Nov 2021 12:34:27 +0100

libcamera (0~git20211108+1b30992b623e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patch applied upstream, refresh the remaining one.
  * Update copyrights.
  * Update build dependencies.
  * Update install lists for the new ipa_proxy binary name.
  * Install v4l2-compat.so into the non-dev package.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Tue, 09 Nov 2021 18:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,15 @@
                dh-exec,
                meson (>= 0.47),
                pkgconf | pkg-config,
+               libevent-dev,
+               libgtest-dev <!nocheck>,
+               liblttng-ust-dev,
                libudev-dev,
                libgnutls28-dev | gnutls-dev,
                doxygen <!nodoc>,
                python3-sphinx <!nodoc>,
+               python3-jinja2,
+               python3-ply,
                python3-yaml,
                libjs-jquery <!nodoc>,
                libjs-sphinxdoc <!nodoc>,
@@ -22,7 +27,7 @@
                openssl,
                qtbase5-dev <!pkg.libcamera.noqt>,
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://libcamera.org/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error
 
 include /usr/share/dpkg/architecture.mk

## libcamera 0~git20220303+really~git20220201+e96d0201

=== debian/changelog ===
libcamera (0~git20220303+really~git20220201+e96d0201-1~bpo10~1) buster; urgency=medium

  * Downgrade final Buster release to compatible version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 28 Mar 2022 18:44:20 +0100

libcamera (0~git20220201+e96d0201-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220201+e96d0201

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 16:15:52 +0000

libcamera (0~git20220127+7ea52d2b-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220127+7ea52d2b

  [ Andrej Shadura ]
  * Install v4l2-compat.so into the non-dev package

  [ Dorota Czaplejewicz ]
  * Remove soname patch as the upstream already sets it

  [ Andrej Shadura ]
  * Add upstream metadata

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:03:21 +0000

libcamera (0~git20220106+44d59841-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220106+44d59841
  * Add versioned raspberrypi-kernel depencency
  * Rediff patches

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 15:40:13 +0000

libcamera (0~git20211125+cb1de399-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211125+cb1de399

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 11:59:38 +0000

libcamera (0~git20211020+f4070274-3~bpo10~0) buster; urgency=medium

  * Re-generate signatures after stripping .so files
  * Disable unit tests when using nocheck
  * Disable lc-compliance
  * Install .so signatures

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 11:00:36 +0000

libcamera (0~git20211020+f4070274-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211020+f4070274
  * Remove unsupported pipelines
  * Rediff patches

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 13:04:22 +0100

libcamera (0~git20210909+68fe3b05-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210909+68fe3b05

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 12:01:54 +0100

libcamera (0~git20210901+3335d5a5-2~bpo10~0) buster; urgency=medium

  * Disable lc-compliance
  * Set libcamera_base SOVERSION
  * Update changelog for 0~git20210901+3335d5a5-2 release

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 03 Sep 2021 13:48:31 +0100

libcamera (0~git20210901+3335d5a5-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210901+3335d5a5
  * Rediff patches

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Sep 2021 13:54:46 +0100

libcamera (0~git20210505+332870e-1~bpo10+1) buster; urgency=medium

  * Refresh patches
  * Remove spelling fix patch
  * New upstream version 0~git20210505+332870e
  * gbp.conf: switch debian branch to pios/buster
  * Fix ipa proxy install
  * Add python3-ply build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 05 May 2021 15:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,11 @@
                dh-exec,
                meson (>= 0.47),
                pkgconf | pkg-config,
-               libevent-dev,
-               libgtest-dev <!nocheck>,
-               liblttng-ust-dev,
                libudev-dev,
                libgnutls28-dev | gnutls-dev,
                doxygen <!nodoc>,
+               python3-ply,
                python3-sphinx <!nodoc>,
-               python3-jinja2,
-               python3-ply,
                python3-yaml,
                libjs-jquery <!nodoc>,
                libjs-sphinxdoc <!nodoc>,
@@ -27,7 +23,7 @@
                openssl,
                qtbase5-dev <!pkg.libcamera.noqt>,
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://libcamera.org/
@@ -69,7 +65,8 @@
 Package: libcamera0
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         raspberrypi-kernel (>= 1:1.20211201~)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: complex camera support library

=== debian/rules ===
--- 
+++ 
@@ -2,21 +2,36 @@
 
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error
 
 include /usr/share/dpkg/architecture.mk
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	TEST_FLAG = -Dtest=true
+else
+	TEST_FLAG = -Dtest=false
+endif
+
 %:
-	dh $@
+	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
 		-Dv4l2=true \
+		-Dpipelines=raspberrypi,simple,uvcvideo,vimc \
+		-Dipas=raspberrypi,vimc \
+		-Dlc-compliance=disabled \
+		$(TEST_FLAG)
 		$(empty)
 
 override_dh_install:
 	dh_install -X/.doctrees/
+
+override_dh_strip:
+	dh_strip
+	MESON_INSTALL_DESTDIR_PREFIX="$(PWD)" ./src/ipa/ipa-sign-install.sh \
+		"$(abspath ./build/src/ipa-priv-key.pem)" \
+		$(wildcard debian/libcamera0/usr/lib/$(DEB_HOST_MULTIARCH)/libcamera/ipa_*.so)
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:

## libcamera 0.0.1

=== debian/changelog ===
libcamera (0.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Update the patch.
  * Update debian/watch.
  * Rename the doc directory manually instead of using dh-exec, drop
    dh-exec build dependency.
  * Bring back and refresh the symbols file.
  * Disable verbose build logs by default.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 14:00:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,17 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
                meson (>= 0.47),
                pkgconf | pkg-config,
+               libevent-dev,
+               libgtest-dev <!nocheck>,
+               liblttng-ust-dev,
                libudev-dev,
                libgnutls28-dev | gnutls-dev,
                doxygen <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-jinja2,
                python3-ply,
-               python3-sphinx <!nodoc>,
                python3-yaml,
                libjs-jquery <!nodoc>,
                libjs-sphinxdoc <!nodoc>,
@@ -23,7 +26,7 @@
                openssl,
                qtbase5-dev <!pkg.libcamera.noqt>,
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://libcamera.org/
@@ -65,8 +68,7 @@
 Package: libcamera0
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         raspberrypi-kernel (>= 1:1.20211201~)
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: complex camera support library

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
		-Dv4l2=true \
		$(empty)

override_dh_install:
	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
	dh_install -X/.doctrees/

.PHONY: override_dh_auto_test
override_dh_auto_test:


.PHONY: licensecheck
licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## libcamera 0.0.2

=== debian/changelog ===
libcamera (0.0.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Don't the the .symbols file: too many changes.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Dec 2022 16:12:04 -0800

libcamera (0.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream version 0.0.2
  * Update symbols file
  * Update lintian-overrides
  * Standards-Version: 4.6.1 (no changes needed)
  * Update debian/copyright
  * Ignore failures in dh_auto_test for now

  [ Sebastien Bacher ]
  * Improve lintian-overrides (Closes: #1024803)
  * Refresh debian/copyright
  * debian/rules: enable the upstream tests as part of the build

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 Dec 2022 10:59:05 +0100

libcamera (0.0.1-4) unstable; urgency=medium

  * Mark liblttng-ust-dev and libudev-dev as linux-only, add more optional
    dependencies.
  * Don’t install documentation with libcamera0 (Closes: #1022572).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 18:44:01 +0200

libcamera (0.0.1-3) unstable; urgency=medium

  * Use wildcards and arch-specific symbols.
  * Fix the syntax of the symbols file.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 22:58:29 +0100

libcamera (0.0.1-2) unstable; urgency=medium

  * Add the missing build dependency on libyaml-dev.
  * Bump meson dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 14:14:02 +0100

=== debian/control ===
Source: libcamera
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
           Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libboost-dev,
               libdw-dev <!pkg.libcamera.notrace>,
               libevent-dev,
               libgnutls28-dev | gnutls-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtest-dev <!nocheck>,
               libjpeg-dev <!pkg.libcamera.nosdl>,
               libjs-jquery <!nodoc>,
               libjs-sphinxdoc <!nodoc>,
               libjs-underscore <!nodoc>,
               liblttng-ust-dev [linux-any],
               libsdl2-dev <!pkg.libcamera.nosdl>,
               libtiff-dev,
               libudev-dev [linux-any],
               libyaml-dev,
               meson (>= 0.56),
               openssl,
               pkgconf | pkg-config,
               python3-jinja2,
               python3-ply,
               python3-sphinx <!nodoc>,
               python3-yaml,
               qtbase5-dev <!pkg.libcamera.noqt>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: libs
Homepage: https://libcamera.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git

Package: libcamera-dev
Section: libdevel
Architecture: any
Depends: libcamera0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: complex camera support library (development files)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides the necessary files needed for development

Package: libcamera-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: libjs-jquery,
         libjs-sphinxdoc,
         libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcamera-dev
Multi-Arch: foreign
Description: complex camera support library (documentation)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the documentation developing with libcamera.

Package: libcamera0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: complex camera support library
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.

Package: libcamera-tools
Section: video
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: complex camera support library (tools)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 .
 This package provides cam and qcam, libcamera "Swiss army knife" tools.

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz" \
    git://git.linuxtv.org/libcamera.git \
    refs/tags/v@ANY_VERSION@

opts="mode=git, pgpmode=none, pretty=0.0.1+git%cd+%h, repack, compression=xz" \
    git://git.linuxtv.org/libcamera.git \
    HEAD

## libcamera 0.0.3

=== meson_options.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 option('pipelines',
         type : 'array',
-        choices : ['ipu3', 'raspberrypi', 'rkisp1', 'simple', 'uvcvideo', 'vimc'],
+        choices : ['imx8-isi', 'ipu3', 'raspberrypi', 'rkisp1', 'simple', 'uvcvideo', 'vimc'],
         description : 'Select which pipeline handlers to include')
 
 option('qcam',
@@ -47,6 +47,7 @@
 
 option('test',
         type : 'boolean',
+        value : false,
         description: 'Compile and include the tests')
 
 option('tracing',
@@ -58,3 +59,8 @@
         type : 'boolean',
         value : false,
         description : 'Compile the V4L2 compatibility layer')
+
+option('pycamera',
+        type : 'feature',
+        value : 'disabled',
+        description : 'Enable libcamera Python bindings (experimental)')

=== debian/changelog ===
libcamera (0.0.3-6) unstable; urgency=medium

  * Use the DEB_HOST_GNU_TYPE for the build directory.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Mar 2023 10:40:47 +0100

libcamera (0.0.3-5) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add superficial tests.
  * Add allow-stderr for tests.

  [ George Kiagiadakis ]
  * Add rule to re-sign the IPA modules after dh_strip.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Mar 2023 09:45:00 +0100

libcamera (0.0.3-4) unstable; urgency=medium

  * Add doxygen-latex in Build-Deps
  * Add libgstreamer1.0-dev in Build-Deps
  * Drop libboost-dev from Build-Deps, not needed anymore
  * libcamera0.0.3: add libcamera-ipa in Suggests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Jan 2023 21:36:29 +0100

libcamera (0.0.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Dec 2022 15:09:27 +0100

libcamera (0.0.3-2) experimental; urgency=medium

  * Drop symbols file, not very useful because symbols are changing too
    quickly. And because of the very active development, upstream bumps
    SONAME for each release. Let's wait until upstream has stabilized
    the libcamera API before reintroducing this symbols file.
  * Standards-Version: 4.6.2 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Dec 2022 22:18:01 +0100

libcamera (0.0.3-1) experimental; urgency=medium

  * New upstream version 0.0.3
  * Bump SONAME to libcamera0.0.3
  * Move the GStreamer plugin into its own package
  * Move the v4l2 module into its own package
  * Move the IPA modules into their own package
  * Install *.so.sign files with libraries
  * Add myself in Uploaders
  * Update copyright file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 23 Dec 2022 23:56:04 +0100

libcamera (0.0.2-2) unstable; urgency=medium

  * Update symbols file for x32

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Dec 2022 17:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libcamera
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
            IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-           Andrej Shadura <andrewsh@debian.org>
+           Andrej Shadura <andrewsh@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
+               doxygen-latex <!nodoc>,
                graphviz <!nodoc>,
-               libboost-dev,
                libdw-dev <!pkg.libcamera.notrace>,
                libevent-dev,
                libgnutls28-dev | gnutls-dev,
                libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtest-dev <!nocheck>,
                libjpeg-dev <!pkg.libcamera.nosdl>,
                libjs-jquery <!nodoc>,
@@ -31,7 +32,7 @@
                python3-sphinx <!nodoc>,
                python3-yaml,
                qtbase5-dev <!pkg.libcamera.noqt>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://libcamera.org/
@@ -41,7 +42,9 @@
 Package: libcamera-dev
 Section: libdevel
 Architecture: any
-Depends: libcamera0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libcamera0.0.3 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: complex camera support library (development files)
  libcamera is a complex camera support library which handles low-level
@@ -68,24 +71,72 @@
  .
  This package contains the documentation developing with libcamera.
 
-Package: libcamera0
+Package: libcamera0.0.3
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Suggests: libcamera-ipa
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
 Multi-Arch: same
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
  programming interface to the applications.
 
+Package: libcamera-ipa
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
+Multi-Arch: same
+Description: complex camera support library (IPA modules)
+ libcamera is a complex camera support library which handles low-level
+ control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
+ .
+ This package contains the libcamera IPA (Image Processing Algorithms) modules.
+
 Package: libcamera-tools
 Section: video
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: complex camera support library (tools)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
  .
  This package provides cam and qcam, libcamera "Swiss army knife" tools.
+
+Package: libcamera-v4l2
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
+Multi-Arch: same
+Description: complex camera support library (V4L2 module)
+ libcamera is a complex camera support library which handles low-level
+ control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
+ .
+ This package contains the libcamera V4L2 module.
+
+Package: gstreamer1.0-libcamera
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
+Multi-Arch: same
+Description: complex camera support library (GStreamer plugin)
+ libcamera is a complex camera support library which handles low-level
+ control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
+ .
+ This package contains the libcamera GStreamer plugin.

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,24 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
+		-Dgstreamer=enabled \
 		-Dv4l2=true \
+		-Dtest=true \
 		$(empty)
 
 override_dh_install:
 	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
 	dh_install -X/.doctrees/
 
-.PHONY: override_dh_auto_test
 override_dh_auto_test:
+	# For now, testsuite failures are ignored
+	-dh_auto_test
 
+override_dh_strip:
+	dh_strip -a
+	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \
+		./obj-${DEB_HOST_GNU_TYPE}/src/ipa-priv-key.pem \
+		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa_*.so
 
 .PHONY: licensecheck
 licensecheck:

=== debian/tests/control ===
Tests: run-tools
Depends: @
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, repack, compression=xz" \
    https://git.libcamera.org/libcamera/libcamera.git/ \
    refs/tags/v@ANY_VERSION@

opts="mode=git, pgpmode=none, pretty=0.0.1+git%cd+%h, repack, compression=xz" \
    https://git.libcamera.org/libcamera/libcamera.git/ \
    HEAD

## libcamera 0.0.4

=== meson_options.txt ===
--- 
+++ 
@@ -37,8 +37,19 @@
 
 option('pipelines',
         type : 'array',
-        choices : ['imx8-isi', 'ipu3', 'raspberrypi', 'rkisp1', 'simple', 'uvcvideo', 'vimc'],
-        description : 'Select which pipeline handlers to include')
+        value : ['auto'],
+        choices : [
+            'all',
+            'auto',
+            'imx8-isi',
+            'ipu3',
+            'raspberrypi',
+            'rkisp1',
+            'simple',
+            'uvcvideo',
+            'vimc'
+        ],
+        description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')
 
 option('qcam',
         type : 'feature',

=== debian/changelog ===
libcamera (0.0.4-3ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian (LP: #2012745), remaining changes:
    - debian/control: 
      + don't use liblttng-ust-dev on i386
    - debian/tests/control:
      + use the upstream tests as autopkgtests
    - Fix static order init problems when building under LTO (LP: #2009824)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Mar 2023 16:48:02 +0100

libcamera (0.0.4-3) experimental; urgency=medium

  [ George Kiagiadakis ]
  * Add rule to re-sign the IPA modules after dh_strip

  [ Andrej Shadura ]
  * Use the DEB_HOST_GNU_TYPE for the build directory

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Mar 2023 17:45:53 +0100

libcamera (0.0.4-2ubuntu2) lunar; urgency=medium

  * Fix static order init problems when building under LTO (LP: #2009824)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 03 Mar 2023 15:42:32 +0000

libcamera (0.0.4-2ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/control: 
    - don't use liblttng-ust-dev on i386
  * debian/tests/control:
    - use the upstream tests as autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Feb 2023 12:31:35 +0100

libcamera (0.0.4-2) experimental; urgency=medium

  * Skip more tests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Feb 2023 12:56:16 +0100

libcamera (0.0.4-1) experimental; urgency=medium

  * New upstream version 0.0.4
  * Bump SONAME to libcamera0.0.4
  * Add superficial tests
  * Don't ignore tests failures at build time (Closes: #1024782)
  * Upload to experimental because of the current Bookworm freeze

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Feb 2023 22:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libcamera
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
            IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
            Andrej Shadura <andrewsh@debian.org>,
@@ -19,7 +20,7 @@
                libjs-jquery <!nodoc>,
                libjs-sphinxdoc <!nodoc>,
                libjs-underscore <!nodoc>,
-               liblttng-ust-dev [linux-any],
+               liblttng-ust-dev [!i386],
                libsdl2-dev <!pkg.libcamera.nosdl>,
                libtiff-dev,
                libudev-dev [linux-any],
@@ -42,7 +43,7 @@
 Package: libcamera-dev
 Section: libdevel
 Architecture: any
-Depends: libcamera0.0.3 (= ${binary:Version}),
+Depends: libcamera0.0.4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
@@ -71,7 +72,7 @@
  .
  This package contains the documentation developing with libcamera.
 
-Package: libcamera0.0.3
+Package: libcamera0.0.4
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,6 @@
 	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
 	dh_install -X/.doctrees/
 
-override_dh_auto_test:
-	# For now, testsuite failures are ignored
-	-dh_auto_test
-
 override_dh_strip:
 	dh_strip -a
 	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \

=== debian/tests/control ===
Tests: run-tools
Depends: @
Restrictions: superficial, allow-stderr

Test-Command: dh_auto_configure; dh_auto_build; dh_auto_test
Depends: @builddeps@
Restrictions: allow-stderr

## libcamera 0.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 option('ipas',
         type : 'array',
-        choices : ['ipu3', 'raspberrypi', 'rkisp1', 'vimc'],
+        choices : ['ipu3', 'rkisp1', 'rpi/vc4', 'vimc'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
@@ -43,8 +43,8 @@
             'auto',
             'imx8-isi',
             'ipu3',
-            'raspberrypi',
             'rkisp1',
+            'rpi/vc4',
             'simple',
             'uvcvideo',
             'vimc'
@@ -59,12 +59,17 @@
 option('test',
         type : 'boolean',
         value : false,
-        description: 'Compile and include the tests')
+        description : 'Compile and include the tests')
 
 option('tracing',
         type : 'feature',
         value : 'auto',
-        description: 'Enable tracing (based on lttng)')
+        description : 'Enable tracing (based on lttng)')
+
+option('udev',
+       type : 'feature',
+       value : 'auto',
+       description : 'Enable udev support for hotplug')
 
 option('v4l2',
         type : 'boolean',

=== debian/changelog ===
libcamera (0.1.0-3ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian, remaining changes
    - debian/control: 
      + don't use liblttng-ust-dev on i386
    - debian/tests/control:
      + use the upstream tests as autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Aug 2023 12:05:16 +0200

libcamera (0.1.0-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing build with sphinx 7 (Closes: #1042634)
  * Disable again doxygen-latex in Build-Deps for sh4 to help apt choose
     the alternative.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 01 Aug 2023 12:14:41 +0200

libcamera (0.1.0-2) unstable; urgency=medium

  * Only make the tests fail for key architectures: amd64 arm64 armhf
  * Add texlive-latex-extra as alternative to doxygen-latex in Build-deps
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Jul 2023 11:11:04 +0200

libcamera (0.1.0-1) experimental; urgency=medium

  * New upstream version 0.1.0
  * Bump SONAME to libcamera0.1
  * Build python bindings:
      - New binary package: python3-libcamera
      - New Build-Deps: libpython3-dev and python3-pybind11
  * Move v4l2-compat.so from usr/lib/*/ to usr/lib/*/libcamera/
  * Install ipa_verify and use it to check IPA signatures
  * Verify modules signatures after resigning
  * Add new test verifying the signature of IPA modules
  * Disable doxygen-latex in Build-Deps for sh4
  * Disable scan of git HEAD in the watch file to avoid confusing
      tracker.debian.org
  * Refresh debian/patches/ppc64el-fix-ftbfs-gcc.patch
  * Drop debian/libcamera-v4l2.lintian-overrides, no longer required
  * Disable reprotest on salsa-ci
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Mon, 17 Jul 2023 14:49:07 +0200

libcamera (0.0.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Jun 2023 15:52:08 +0200

libcamera (0.0.5-1) experimental; urgency=medium

  * New upstream version 0.0.5
  * Bump SONAME to libcamera0.0.5

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 May 2023 17:40:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
            Andrej Shadura <andrewsh@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                doxygen <!nodoc>,
-               doxygen-latex <!nodoc>,
+               doxygen-latex [!sh4] <!nodoc> | texlive-latex-extra <!nodoc>,
                graphviz <!nodoc>,
                libdw-dev <!pkg.libcamera.notrace>,
                libevent-dev,
@@ -21,6 +22,7 @@
                libjs-sphinxdoc <!nodoc>,
                libjs-underscore <!nodoc>,
                liblttng-ust-dev [!i386],
+               libpython3-dev <!pkg.libcamera.nopython>,
                libsdl2-dev <!pkg.libcamera.nosdl>,
                libtiff-dev,
                libudev-dev [linux-any],
@@ -30,6 +32,7 @@
                pkgconf | pkg-config,
                python3-jinja2,
                python3-ply,
+               python3-pybind11 <!pkg.libcamera.nopython>,
                python3-sphinx <!nodoc>,
                python3-yaml,
                qtbase5-dev <!pkg.libcamera.noqt>
@@ -43,7 +46,7 @@
 Package: libcamera-dev
 Section: libdevel
 Architecture: any
-Depends: libcamera0.0.4 (= ${binary:Version}),
+Depends: libcamera0.1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
@@ -72,7 +75,7 @@
  .
  This package contains the documentation developing with libcamera.
 
-Package: libcamera0.0.4
+Package: libcamera0.1
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -141,3 +144,16 @@
  programming interface to the applications.
  .
  This package contains the libcamera GStreamer plugin.
+
+Package: python3-libcamera
+Section: python
+Architecture: any
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+Description: complex camera support library (Python bindings)
+ libcamera is a complex camera support library which handles low-level
+ control of the camera devices, providing a unified higher-level
+ programming interface to the applications.
+ .
+ This package contains the libcamera Python bindings.

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,23 @@
 	dh_auto_configure -- \
 		--libexecdir=lib/${DEB_HOST_MULTIARCH} \
 		-Dgstreamer=enabled \
+		-Dpycamera=enabled \
 		-Dv4l2=true \
 		-Dtest=true \
 		$(empty)
 
+# Only make the tests fail for key architectures
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
+	dh_auto_test
+else
+	-dh_auto_test
+endif
+
 override_dh_install:
 	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
+	cp ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify \
+	   debian/tmp/usr/bin/
 	dh_install -X/.doctrees/
 
 override_dh_strip:
@@ -26,6 +37,11 @@
 	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \
 		./obj-${DEB_HOST_GNU_TYPE}/src/ipa-priv-key.pem \
 		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa_*.so
+	for IPA_MOD in debian/libcamera-ipa/usr/lib/*/libcamera/ipa_*.so; \
+	do \
+	  echo "Verifying signature of $${IPA_MOD}"; \
+	  ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify $${IPA_MOD}; \
+	done
 
 .PHONY: licensecheck
 licensecheck:

=== debian/tests/control ===
Tests: run-tools
Depends: @
Restrictions: superficial, allow-stderr

Tests: check-IPA-modules-signatures
Depends: @
Restrictions: superficial

Test-Command: dh_auto_configure; dh_auto_build; dh_auto_test
Depends: @builddeps@
Restrictions: allow-stderr
